//==============================================================================
// Copyright (C) Ross MacArthur, Shaylin Chetty, Sean Wood
//
// Description:
//     EEE4084F YODA Project: Interpolator
//     Averages two pixel values, component-wise
//==============================================================================
module Averager(
	input [11:0] PixelA, PixelB,
	output[11:0] Output
);
//------------------------------------------------------------------------------
reg [4:0] R,G,B;
//------------------------------------------------------------------------------
assign Output = {R[4:1],G[4:1],B[4:1]};
//------------------------------------------------------------------------------
always @(*) begin
	R <= PixelA[11:8] + PixelB[11:8];
	G <= PixelA[7:4] + PixelB[7:4];
	B <= PixelA[3:0] + PixelB[3:0];
end
//------------------------------------------------------------------------------
endmodule
//==============================================================================